Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.util
Class P3OWLUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.util.P3OWLUtil

    public class P3OWLUtil

extends Object

Class that wraps some common Protege-OWL API methods and throws meaningful exceptions when errors are encountered.

Covers a fairly arbitrary method set.

Constructor Summary
`P3OWLUtil()`

Method Summary
`static void` | `addAnnotationDataPropertyValue(OWLModel owlModel, String subjectName, String propertyName, String propertyValue, String datatypeName)`
`static void` | `addAnnotationDataPropertyValueWithLanguage(OWLModel owlModel, String subjectName, String propertyName, String propertyValue, String language)`
`static void` | `addAnnotationObjectPropertyValue(OWLModel owlModel, String subjectName, String propertyName, String propertyValue)`
`static void` | `addAnnotationPropertyValue(OWLModel owlModel, String subjectName, String propertyName, String propertyValue)`
`static void` | `addAnnotationStringDataPropertyValue(OWLModel owlModel, String subjectName, String propertyName, String propertyValue)`
`static void` | `addDataPropertyValue(OWLModel owlModel, String subjectName, String propertyName, String propertyValue, String datatypeName)`
`static void` | `addDataPropertyValueWithLanguage(OWLModel owlModel, String subjectName, String propertyName, String propertyValue, String language)`
`static void` | `addObjectPropertyValue(OWLModel owlModel, String subjectName, String propertyName, String objectName)`
`static void` | `addOWLPropertyValue(OWLModel owlModel, OWLIndividual individual, String propertyName, Object propertyValue)`
`static void` | `addOWLPropertyValue(OWLModel owlModel, String resourceName, String propertyName, Object propertyValue)`
`static void` | `addOWLSuperClass(OWLClass subClass, OWLClass superClass)`
`static void` | `addOWLSuperClass(OWLModel owlModel, String subClassName, String superClassName)`
`static void` | `addOWLSuperClass(OWLModel owlModel, URI subClassURI, URI superClassURI)`
`static void` | `addPropertyValue(OWLIndividual individual, OWLProperty property, Object propertyValue)`
`static void` | `addRDFSLabel(RDFResource resource, String labelText, String language)`
`static void` | `addRDFSLabelPropertyValueWithLanguage(OWLModel owlModel, String subjectName, String propertyValue, String language)`
`static void` | `addRDFSSuperClass(RDFSClass subClass, RDFSClass superClass)`
`static void` | `addStringDataPropertyValue(OWLModel owlModel, String subjectName, String propertyName, String propertyValue)`
`static void` | `addType(OWLModel owlModel, String resourceName, String className)`
`static void` | `addType(OWLModel owlModel, URI resourceURI, URI classURI)`
`static void` | `addType(RDFResource resource, OWLClass cls)`
`static void` | `checkIfIsValidClassName(OWLModel owlModel, String className)`
`static OWLIndividual` | `createIndividual(OWLModel owlModel, String individualName)`
`static OWLIndividual` | `createIndividual(OWLModel owlModel, URI individualURI)`
`static OWLIndividual` | `createIndividualOfClass(OWLModel owlModel, OWLClass cls)`
`static OWLIndividual` | `createIndividualOfClass(OWLModel owlModel, OWLClass cls, String individualName)`
`static OWLIndividual` | `createIndividualOfClass(OWLModel owlModel, String className)`
`static OWLIndividual` | `createIndividualOfClass(OWLModel owlModel, String className, String individualName)`
`static JenaOWLModel` | `createJenaOWLModel()`
`static JenaOWLModel` | `createJenaOWLModel(String owlFileName)`
`static String` | `createNewResourceName(OWLModel owlModel, String localNamePrefix)`
`static URI` | `createNewResourceURI(OWLModel owlModel, String localNamePrefix)`
`static RDFProperty` | `createOWLAnnotationProperty(OWLModel owlModel, String propertyName)`
`static RDFProperty` | `createOWLAnnotationProperty(OWLModel owlModel, URI propertyURI)`
`static OWLClass` | `createOWLClassDescription(OWLModel owlModel, String classExpression)`
`static OWLDatatypeProperty` | `createOWLDataPropertyUsingLabelAnnotation(OWLModel owlModel, String namespace, String labelText, String language, boolean allowDuplicates)`
`static OWLDatatypeProperty` | `createOWLDatatypeProperty(OWLModel owlModel, String propertyName)`
`static OWLDatatypeProperty` | `createOWLDatatypeProperty(OWLModel owlModel, URI propertyURI)`
`static OWLIndividual` | `createOWLIndividual(OWLModel owlModel)`
`static OWLIndividual` | `createOWLIndividual(OWLModel owlModel, String individualName)`
`static OWLIndividual` | `createOWLIndividual(OWLModel owlModel, URI individualURI)`
`static OWLIndividual` | `createOWLIndividualWithRDFSLabel(OWLModel owlModel, String namespace, String labelText, String language, boolean allowDuplicates)`
`static OWLNamedClass` | `createOWLNamedClass(OWLModel owlModel)`
`static OWLNamedClass` | `createOWLNamedClass(OWLModel owlModel, String className)`
`static OWLNamedClass` | `createOWLNamedClass(OWLModel owlModel, URI classURI)`
`static OWLNamedClass` | `createOWLNamedClassWithRDFSLabel(OWLModel owlModel, String namespace, String labelText, String language, boolean allowDuplicates)`
`static OWLObjectProperty` | `createOWLObjectProperty(OWLModel owlModel)`
`static OWLObjectProperty` | `createOWLObjectProperty(OWLModel owlModel, String propertyName)`
`static OWLObjectProperty` | `createOWLObjectProperty(OWLModel owlModel, URI propertyURI)`
`static OWLObjectProperty` | `createOWLObjectPropertyUsingLabelAnnotation(OWLModel owlModel, String namespace, String labelText, String language, boolean allowDuplicates)`
`static RDFSLiteral` | `createRDFSLiteral(OWLModel owlModel, String value, RDFSDatatype datatype)`
`static RDFSNamedClass` | `createRDFSNamedClass(OWLModel owlModel, String className)`
`static RDFSNamedClass` | `createRDFSNamedClassUsingLabelAnnotation(OWLModel owlModel, String labelText, boolean allowDuplicates)`
`static Set<OWLIndividual>` | `getAllOWLIndividuals(OWLModel owlModel)`
`static OWLClass` | `getClass(OWLModel owlModel, String className)`
`static OWLClass` | `getClass(OWLModel owlModel, URI classURI)`
`static Set<OWLNamedClass>` | `getClassesOfIndividual(OWLIndividual individual)`
`static Object` | `getDatavaluedPropertyValue(OWLModel owlModel, OWLIndividual individual, OWLProperty property, boolean mustExist)`
`static Object` | `getDatavaluedPropertyValue(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static Object` | `getDatavaluedPropertyValue(OWLModel owlModel, String individualName, String propertyName)`
`static Object` | `getDatavaluedPropertyValue(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static Boolean` | `getDatavaluedPropertyValueAsBoolean(OWLModel owlModel, OWLIndividual individual, OWLProperty property, boolean mustExist)`
`static Boolean` | `getDatavaluedPropertyValueAsBoolean(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static Boolean` | `getDatavaluedPropertyValueAsBoolean(OWLModel owlModel, String individualName, String propertyName)`
`static Boolean` | `getDatavaluedPropertyValueAsBoolean(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static Collection<?>` | `getDatavaluedPropertyValueAsCollection(OWLModel owlModel, OWLIndividual individual, OWLProperty property, boolean mustExist)`
`static Collection<?>` | `getDatavaluedPropertyValueAsCollection(OWLModel owlModel, OWLIndividual individual, String propertyName)`
`static Collection<?>` | `getDatavaluedPropertyValueAsCollection(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static Collection<?>` | `getDatavaluedPropertyValueAsCollection(OWLModel owlModel, String individualName, String propertyName)`
`static int` | `getDatavaluedPropertyValueAsInteger(OWLModel owlModel, String individualName, String propertyName)`
`static int` | `getDatavaluedPropertyValueAsInteger(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static long` | `getDatavaluedPropertyValueAsLong(OWLModel owlModel, OWLIndividual individual, String propertyName)`
`static long` | `getDatavaluedPropertyValueAsLong(OWLModel owlModel, String individualName, String propertyName)`
`static long` | `getDatavaluedPropertyValueAsLong(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static String` | `getDatavaluedPropertyValueAsString(OWLModel owlModel, OWLIndividual individual, OWLProperty property, boolean mustExist)`
`static String` | `getDatavaluedPropertyValueAsString(OWLModel owlModel, OWLIndividual individual, String propertyName)`
`static String` | `getDatavaluedPropertyValueAsString(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static String` | `getDatavaluedPropertyValueAsString(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist, String defaultValue)`
`static String` | `getDatavaluedPropertyValueAsString(OWLModel owlModel, String individualName, String propertyName)`
`static String` | `getDatavaluedPropertyValueAsString(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static String` | `getDatavaluedPropertyValueAsString(OWLModel owlModel, String individualName, String propertyName, boolean mustExist, String defaultValue)`
`static Set<Object>` | `getDatavaluedPropertyValues(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static Set<Object>` | `getDatavaluedPropertyValues(OWLModel owlModel, String individualName, String propertyName)`
`static Set<Object>` | `getDatavaluedPropertyValues(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static Set<Object>` | `getDatavaluedPropertyValues(OWLModel owlModel, URI individualURI, URI propertyURI)`
`static Set<OWLNamedClass>` | `getDirectOWLDomainClasses(OWLModel owlModel, String propertyName)`
`static Set<OWLNamedClass>` | `getDirectOWLDomainClasses(OWLModel owlModel, String propertyName, boolean mustExist)`
`static Set<OWLNamedClass>` | `getDirectOWLDomainClasses(OWLModel owlModel, URI propertyURI)`
`static List<OWLNamedClass>` | `getDirectSubClassesOf(OWLModel owlModel, String className)`
`static List<OWLNamedClass>` | `getDirectSubClassesOf(OWLModel owlModel, URI classURI)`
`static List<OWLNamedClass>` | `getDirectSubClassesOf(OWLNamedClass cls)`
`static Set<OWLProperty>` | `getDirectSubPropertiesOf(OWLModel owlModel, String propertyName)`
`static Set<OWLProperty>` | `getDirectSubPropertiesOf(OWLModel owlModel, URI propertyURI)`
`static Set<OWLProperty>` | `getDirectSubPropertiesOf(OWLProperty property)`
`static List<OWLNamedClass>` | `getDirectSuperClassesOf(OWLModel owlModel, String className)`
`static List<OWLNamedClass>` | `getDirectSuperClassesOf(OWLModel owlModel, URI classURI)`
`static List<OWLNamedClass>` | `getDirectSuperClassesOf(OWLNamedClass cls)`
`static Set<OWLProperty>` | `getDirectSuperPropertiesOf(OWLModel owlModel, String propertyName)`
`static Set<OWLProperty>` | `getDirectSuperPropertiesOf(OWLModel owlModel, URI propertyURI)`
`static Set<OWLProperty>` | `getDirectSuperPropertiesOf(OWLProperty property)`
`static Set<OWLProperty>` | `getDomainProperties(OWLModel owlModel, String className, boolean transitive)`
`static Set<OWLProperty>` | `getDomainProperties(OWLModel owlModel, URI classURI, boolean transitive)`
`static Set<OWLProperty>` | `getEquivalentPropertiesOf(OWLProperty property)`
`static String` | `getFullNameFromName(OWLModel owlModel, String prefixedName)`
`static OWLIndividual` | `getIndividual(OWLModel owlModel, String individualName)`
`static OWLIndividual` | `getIndividual(OWLModel owlModel, URI individualURI)`
`static String` | `getLocalNameForURI(OWLModel owlModel, String uri)`
`static Set<OWLIndividual>` | `getMatchingIndividuals(OWLModel owlModel, String propertyName, String matchString)`
`static Set<OWLIndividual>` | `getMatchingIndividualsOfClass(OWLModel owlModel, String className, String propertyName, String matchString)`
`static OWLNamedClass` | `getNamedClass(OWLModel owlModel, String className)`
`static String` | `getNextAnonymousResourceName(OWLModel owlModel)`
`static URI` | `getNextAnonymousResourceURI(OWLModel owlModel)`
`static int` | `getNumberOfDirectOWLInstancesOfClass(OWLModel owlModel, String className, boolean mustExist)`
`static int` | `getNumberOfOWLIndividualsOfClass(OWLModel owlModel, String className)`
`static int` | `getNumberOfOWLIndividualsOfClass(OWLModel owlModel, String className, boolean mustExist)`
`static int` | `getNumberOfOWLPropertyValues(OWLModel owlModel, String individualName, String propertyName, Object propertyValue, boolean mustExist)`
`static int` | `getNumberOfPropertyValues(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static int` | `getNumberOfPropertyValues(OWLModel owlModel, URI individualURI, URI propertyURI, boolean mustExist)`
`static RDFResource` | `getObjectPropertyValue(OWLIndividual individual, OWLProperty property)`
`static RDFResource` | `getObjectPropertyValue(OWLModel owlModel, OWLIndividual individual, String propertyName)`
`static RDFResource` | `getObjectPropertyValue(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static RDFResource` | `getObjectPropertyValue(OWLModel owlModel, String individualName, String propertyName)`
`static RDFResource` | `getObjectPropertyValue(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static RDFResource` | `getObjectPropertyValue(OWLModel owlModel, URI individualURI, URI propertyURI)`
`static RDFResource` | `getObjectPropertyValue(OWLModel owlModel, URI individualURI, URI propertyURI, boolean mustExist)`
`static Set<RDFResource>` | `getObjectPropertyValues(OWLModel owlModel, OWLIndividual individual, String propertyName)`
`static Set<RDFResource>` | `getObjectPropertyValues(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static Set<RDFResource>` | `getObjectPropertyValues(OWLModel owlModel, String individualName, String propertyName)`
`static Set<RDFResource>` | `getObjectPropertyValues(OWLModel owlModel, String individualName, String propertyName, boolean mustExist)`
`static Set<RDFResource>` | `getObjectPropertyValues(OWLModel owlModel, URI individualURI, URI propertyURI)`
`static Set<RDFResource>` | `getObjectPropertyValues(OWLModel owlModel, URI individualURI, URI propertyURI, boolean mustExist)`
`static Collection<?>` | `getOWLAllDifferents(OWLModel owlModel)`
`static Set<RDFProperty>` | `getOWLAnnotationProperties(OWLModel owlModel)`
`static OWLClass` | `getOWLClass(OWLModel owlModel, String className)`
`static OWLClass` | `getOWLClass(OWLModel owlModel, String className, boolean mustExist)`
`static OWLClass` | `getOWLClass(OWLModel owlModel, URI classURI)`
`static OWLClass` | `getOWLClassDescription(OWLModel owlModel, String descriptionClassName)`
`static Set<OWLClass>` | `getOWLClasses(OWLModel owlModel)`
`static Set<OWLNamedClass>` | `getOWLClassesOfIndividual(OWLModel owlModel, String individualName)`
`static Set<OWLNamedClass>` | `getOWLClassesOfIndividual(OWLModel owlModel, String individualName, boolean mustExist)`
`static Set<OWLNamedClass>` | `getOWLClassesOfIndividual(OWLModel owlModel, URI individualURI)`
`static OWLNamedClass` | `getOWLClassFromName(OWLModel owlModel, String name)`
`static OWLDatatypeProperty` | `getOWLDataProperty(OWLModel owlModel, String propertyName)`
`static OWLDatatypeProperty` | `getOWLDataProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static OWLDatatypeProperty` | `getOWLDataPropertyFromName(OWLModel owlModel, String name)`
`static Set<OWLDatatypeProperty>` | `getOWLDatatypeProperties(OWLModel owlModel)`
`static OWLDatatypeProperty` | `getOWLDatatypeProperty(OWLModel owlModel, String propertyName)`
`static OWLDatatypeProperty` | `getOWLDatatypeProperty(OWLModel owlModel, URI propertyURI)`
`static int` | `getOWLDatavaluedPropertyValueAsInteger(OWLModel owlModel, OWLIndividual individual, String propertyName)`
`static int` | `getOWLDatavaluedPropertyValueAsInteger(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static long` | `getOWLDatavaluedPropertyValueAsLong(OWLModel owlModel, OWLIndividual individual, String propertyName, boolean mustExist)`
`static RDFProperty` | `getOWLDifferentFromProperty(OWLModel owlModel)`
`static Set<OWLNamedClass>` | `getOWLDirectRangeClasses(OWLModel owlModel, String propertyName)`
`static Set<OWLNamedClass>` | `getOWLDirectRangeClasses(OWLModel owlModel, String propertyName, boolean mustExist)`
`static Set<OWLNamedClass>` | `getOWLDirectRangeClasses(OWLModel owlModel, URI propertyURI)`
`static RDFProperty` | `getOWLDisjointClassProperty(OWLModel owlModel)`
`static RDFProperty` | `getOWLDisjointWithProperty(OWLModel owlModel)`
`static Set<OWLNamedClass>` | `getOWLDomainClasses(OWLModel owlModel, String propertyName)`
`static Set<OWLNamedClass>` | `getOWLDomainClasses(OWLModel owlModel, String propertyName, boolean mustExist)`
`static Set<OWLNamedClass>` | `getOWLDomainClasses(OWLModel owlModel, URI propertyURI)`
`static RDFProperty` | `getOWLEquivalentClassProperty(OWLModel owlModel)`
`static RDFProperty` | `getOWLEquivalentPropertyProperty(OWLModel owlModel)`
`static OWLIndividual` | `getOWLIndividual(OWLModel owlModel, String individualName)`
`static OWLIndividual` | `getOWLIndividual(OWLModel owlModel, String individualName, boolean mustExist)`
`static OWLIndividual` | `getOWLIndividual(OWLModel owlModel, URI individualURI)`
`static OWLIndividual` | `getOWLIndividual(OWLNamedClass cls, boolean mustExist, int mustHaveExactlyN)`
`static OWLIndividual` | `getOWLIndividualFromName(OWLModel owlModel, String name)`
`static Set<OWLIndividual>` | `getOWLIndividuals(OWLModel owlModel)`
`static Set<OWLIndividual>` | `getOWLIndividualsOfClass(OWLModel owlModel, String className)`
`static Set<OWLIndividual>` | `getOWLIndividualsOfClass(OWLModel owlModel, URI classURI)`
`static Set<OWLIndividual>` | `getOWLIndividualsOfClass(OWLNamedClass cls)`
`static RDFProperty` | `getOWLInverseOfProperty(OWLModel owlModel)`
`static OWLNamedClass` | `getOWLNamedClass(OWLModel owlModel, String className)`
`static OWLNamedClass` | `getOWLNamedClass(OWLModel owlModel, String className, boolean mustExist)`
`static OWLNamedClass` | `getOWLNamedClass(OWLModel owlModel, URI classURI)`
`static Set<OWLNamedClass>` | `getOWLNamedClasses(OWLModel owlModel)`
`static Set<OWLObjectProperty>` | `getOWLObjectProperties(OWLModel owlModel)`
`static OWLObjectProperty` | `getOWLObjectProperty(OWLModel owlModel, String propertyName)`
`static OWLObjectProperty` | `getOWLObjectProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static OWLObjectProperty` | `getOWLObjectProperty(OWLModel owlModel, URI propertyURI)`
`static OWLObjectProperty` | `getOWLObjectPropertyFromName(OWLModel owlModel, String name)`
`static OWLIndividual` | `getOWLObjectPropertyIndividualValue(OWLModel owlModel, OWLIndividual individual, String propertyName, String expectedInstanceClassName)`
`static Set<OWLIndividual>` | `getOWLObjectPropertyIndividualValues(OWLModel owlModel, OWLIndividual individual, String propertyName, String expectedInstanceClassName)`
`static OWLProperty` | `getOWLObjectPropertyPropertyValue(OWLModel owlModel, OWLIndividual individual, String propertyName)`
`static Set<OWLProperty>` | `getOWLPropertiesOfIndividual(OWLModel owlModel, String individualName)`
`static Set<OWLProperty>` | `getOWLPropertiesOfIndividual(OWLModel owlModel, URI individualURI)`
`static OWLProperty` | `getOWLProperty(OWLModel owlModel, String propertyName)`
`static OWLProperty` | `getOWLProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static OWLProperty` | `getOWLProperty(OWLModel owlModel, URI propertyURI)`
`static Set<OWLNamedClass>` | `getOWLRangeClasses(OWLModel owlModel, String propertyName)`
`static Set<OWLNamedClass>` | `getOWLRangeClasses(OWLModel owlModel, URI propertyURI)`
`static RDFProperty` | `getOWLSameAsProperty(OWLModel owlModel)`
`static OWLSomeValuesFrom` | `getOWLSomeValuesFrom(OWLModel owlModel, URI classURI)`
`static OWLNamedClass` | `getOWLThingClass(OWLModel owlModel)`
`static Set<OWLProperty>` | `getPossibleOWLPropertiesOfIndividual(OWLModel owlModel, String individualName)`
`static String` | `getPrefixForResourceName(OWLModel owlModel, String resourceName)`
`static OWLProperty` | `getProperty(OWLModel owlModel, String propertyName)`
`static RDFProperty` | `getRDFProperty(OWLModel owlModel, String propertyName)`
`static RDFProperty` | `getRDFPropertyFromName(OWLModel owlModel, String name)`
`static RDFResource` | `getRDFResource(OWLModel owlModel, String resourceName)`
`static RDFResource` | `getRDFResource(OWLModel owlModel, URI resourceURI)`
`static RDFResource` | `getRDFResourceFromName(OWLModel owlModel, String name)`
`static RDFResource` | `getRDFResourceFromRDFSLabel(OWLModel owlModel, String label)`
`static RDFSClass` | `getRDFSClass(OWLModel owlModel, String className)`
`static RDFSClass` | `getRDFSClassFromName(OWLModel owlModel, String name)`
`static RDFSDatatype` | `getRDFSDatatype(OWLModel owlModel, String datatypeName)`
`static RDFSDatatype` | `getRDFSDatatype(OWLModel owlModel, URI datatypeURI)`
`static RDFProperty` | `getRDFSDomainProperty(OWLModel owlModel)`
`static Set<String>` | `getRDFSLabelLanguages(OWLModel owlModel, String resourceName)`
`static Set<String>` | `getRDFSLabelLanguages(OWLModel owlModel, URI resourceURI)`
`static Set<String>` | `getRDFSLabels(OWLModel owlModel, String resourceName)`
`static Set<String>` | `getRDFSLabels(OWLModel owlModel, String resourceName, String language)`
`static Set<String>` | `getRDFSLabels(OWLModel owlModel, URI resourceURI, String language)`
`static RDFSNamedClass` | `getRDFSNamedClass(OWLModel owlModel, String className)`
`static RDFSNamedClass` | `getRDFSNamedClass(OWLModel owlModel, URI classURI)`
`static RDFProperty` | `getRDFSRangeProperty(OWLModel owlModel)`
`static RDFProperty` | `getRDFSSubClassOfProperty(OWLModel owlModel)`
`static RDFProperty` | `getRDFSSubPropertyOfProperty(OWLModel owlModel)`
`static List<OWLNamedClass>` | `getSubClassesOf(OWLModel owlModel, String className)`
`static List<OWLNamedClass>` | `getSubClassesOf(OWLModel owlModel, URI classURI)`
`static List<OWLNamedClass>` | `getSubClassesOf(OWLNamedClass cls)`
`static Set<OWLProperty>` | `getSubPropertiesOf(OWLModel owlModel, String propertyName)`
`static Set<OWLProperty>` | `getSubPropertiesOf(OWLModel owlModel, URI propertyURI)`
`static Set<OWLProperty>` | `getSubPropertiesOf(OWLProperty property)`
`static List<OWLNamedClass>` | `getSuperClassesOf(OWLModel owlModel, String className)`
`static List<OWLNamedClass>` | `getSuperClassesOf(OWLModel owlModel, URI classURI)`
`static List<OWLNamedClass>` | `getSuperClassesOf(OWLNamedClass cls)`
`static Set<OWLProperty>` | `getSuperPropertiesOf(OWLModel owlModel, String propertyName)`
`static Set<OWLProperty>` | `getSuperPropertiesOf(OWLModel owlModel, URI propertyURI)`
`static Set<OWLProperty>` | `getSuperPropertiesOf(OWLProperty property)`
`static String` | `getURI(OWLModel owlModel, String resourceName)`
`static URI` | `getURIFromName(OWLModel owlModel, String name)`
`static Collection<OWLProperty>` | `getUserDefinedOWLDatatypeProperties(OWLModel owlModel)`
`static Collection<OWLNamedClass>` | `getUserDefinedOWLNamedClasses(OWLModel owlModel)`
`static Collection<OWLProperty>` | `getUserDefinedOWLObjectProperties(OWLModel owlModel)`
`static Collection<OWLProperty>` | `getUserDefinedOWLProperties(OWLModel owlModel)`
`static boolean` | `hasInconsistentClasses(OWLModel owlModel)`
`static boolean` | `hasRDFSLabel(RDFResource resource, String labelText, String language)`
`static boolean` | `hasRDFSLabelIgnoringLanguage(RDFResource resource, String labelText)`
`static boolean` | `hasXSDStringRange(OWLModel owlModel, String propertyName)`
`static void` | `importOWLFile(JenaOWLModel owlModel, String importOWLFileName)`
`static boolean` | `isAnnotationProperty(OWLModel owlModel, String propertyName)`
`static boolean` | `isAnnotationProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static boolean` | `isAnnotationProperty(OWLModel owlModel, URI propertyURI, boolean mustExist)`
`static boolean` | `isAnonymousResourceName(OWLModel owlModel, String resourceName)`
`static boolean` | `isAnonymousResourceName(OWLModel owlModel, URI resourceURI)`
`static boolean` | `isConsistentOWLClass(OWLModel owlModel, String className, boolean mustExist)`
`static boolean` | `isExistingRDFResourceWithRDFSLabel(OWLModel owlModel, String label)`
`static boolean` | `isInDirectOWLPropertyDomain(OWLModel owlModel, String propertyName, String className, boolean mustExist)`
`static boolean` | `isInDirectOWLPropertyDomain(OWLModel owlModel, URI propertyURI, URI classURI, boolean mustExist)`
`static boolean` | `isInDirectPropertyRange(OWLModel owlModel, String propertyName, String className, boolean mustExist)`
`static boolean` | `isInDirectPropertyRange(OWLModel owlModel, URI propertyURI, URI classURI, boolean mustExist)`
`static boolean` | `isIndividual(OWLModel owlModel, String individualName)`
`static boolean` | `isIndividual(OWLModel owlModel, String individualName, boolean mustExist)`
`static boolean` | `isIndividual(OWLModel owlModel, URI individualURI)`
`static boolean` | `isInOWLPropertyDomain(OWLModel owlModel, String propertyName, String className, boolean mustExist)`
`static boolean` | `isInOWLPropertyDomain(OWLModel owlModel, URI propertyURI, URI classURI, boolean mustExist)`
`static boolean` | `isInPropertyRange(OWLModel owlModel, String propertyName, String className, boolean mustExist)`
`static boolean` | `isInPropertyRange(OWLModel owlModel, URI propertyURI, URI classURI, boolean mustExist)`
`static boolean` | `isInverseFunctionalProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static boolean` | `isInverseFunctionalProperty(OWLModel owlModel, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLClass(OWLModel owlModel, String className)`
`static boolean` | `isOWLClass(OWLModel owlModel, URI classURI)`
`static boolean` | `isOWLDataProperty(OWLModel owlModel, String propertyName)`
`static boolean` | `isOWLDataProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static boolean` | `isOWLDataProperty(OWLModel owlModel, URI propertyURI)`
`static boolean` | `isOWLDataProperty(OWLModel owlModel, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLDatatype(OWLModel owlModel, String datatypeName)`
`static boolean` | `isOWLDatatype(OWLModel owlModel, URI datatypeURI)`
`static boolean` | `isOWLDirectSubClassOf(OWLModel owlModel, String subClassName, String className, boolean mustExist)`
`static boolean` | `isOWLDirectSubClassOf(OWLModel owlModel, URI subClassURI, URI classURI, boolean mustExist)`
`static boolean` | `isOWLDirectSubPropertyOf(OWLModel owlModel, String subPropertyName, String propertyName, boolean mustExist)`
`static boolean` | `isOWLDirectSubPropertyOf(OWLModel owlModel, URI subPropertyURI, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLDirectSuperClassOf(OWLModel owlModel, String superClassName, String className, boolean mustExist)`
`static boolean` | `isOWLDirectSuperClassOf(OWLModel owlModel, URI superClassURI, URI classURI, boolean mustExist)`
`static boolean` | `isOWLDirectSuperPropertyOf(OWLModel owlModel, String superPropertyName, String propertyName, boolean mustExist)`
`static boolean` | `isOWLDirectSuperPropertyOf(OWLModel owlModel, URI superPropertyURI, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLDisjointClass(OWLModel owlModel, String className1, String className2, boolean mustExist)`
`static boolean` | `isOWLEquivalentClass(OWLModel owlModel, String className1, String className2, boolean mustExist)`
`static boolean` | `isOWLEquivalentProperty(OWLModel owlModel, String propertyName1, String propertyName2, boolean mustExist)`
`static boolean` | `isOWLFunctionalProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static boolean` | `isOWLFunctionalProperty(OWLModel owlModel, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLIndividual(OWLModel owlModel, String individualName)`
`static boolean` | `isOWLIndividual(OWLModel owlModel, URI individualURI)`
`static boolean` | `isOWLIndividualOfClass(OWLModel owlModel, OWLIndividual individual, String className)`
`static boolean` | `isOWLIndividualOfDirectTypeOWLThing(OWLModel owlModel, String individualName)`
`static boolean` | `isOWLIndividualOfType(OWLModel owlModel, String individualName, OWLNamedClass cls)`
`static boolean` | `isOWLIndividualOfType(OWLModel owlModel, String individualName, String className)`
`static boolean` | `isOWLIndividualOfType(OWLModel owlModel, URI individualURI, URI classURI)`
`static boolean` | `isOWLNamedClass(OWLModel owlModel, String className)`
`static boolean` | `isOWLNamedClass(OWLModel owlModel, String className, boolean mustExist)`
`static boolean` | `isOWLNamedClass(OWLModel owlModel, URI classURI)`
`static boolean` | `isOWLNamedEntity(OWLModel owlModel, String name)`
`static boolean` | `isOWLObjectProperty(OWLModel owlModel, String propertyName)`
`static boolean` | `isOWLObjectProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static boolean` | `isOWLObjectProperty(OWLModel owlModel, URI propertyURI)`
`static boolean` | `isOWLObjectProperty(OWLModel owlModel, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLProperty(OWLModel owlModel, String propertyName)`
`static boolean` | `isOWLProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static boolean` | `isOWLProperty(OWLModel owlModel, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLSubClassOf(OWLClass subClass, OWLClass superClass)`
`static boolean` | `isOWLSubClassOf(OWLModel owlModel, String subClassName, String superClassName, boolean mustExist)`
`static boolean` | `isOWLSubClassOf(OWLModel owlModel, URI subClassURI, URI classURI, boolean mustExist)`
`static boolean` | `isOWLSubPropertyOf(OWLModel owlModel, String subPropertyName, String propertyName, boolean mustExist)`
`static boolean` | `isOWLSubPropertyOf(OWLModel owlModel, URI subPropertyURI, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLSuperClassOf(OWLModel owlModel, String superClassName, String className)`
`static boolean` | `isOWLSuperClassOf(OWLModel owlModel, String superClassName, String className, boolean mustExist)`
`static boolean` | `isOWLSuperClassOf(OWLModel owlModel, URI superClassURI, URI classURI, boolean mustExist)`
`static boolean` | `isOWLSuperPropertyOf(OWLModel owlModel, String superPropertyName, String propertyName, boolean mustExist)`
`static boolean` | `isOWLSuperPropertyOf(OWLModel owlModel, URI superPropertyURI, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLSymmetricProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static boolean` | `isOWLSymmetricProperty(OWLModel owlModel, URI propertyURI, boolean mustExist)`
`static boolean` | `isOWLTransitiveProperty(OWLModel owlModel, String propertyName)`
`static boolean` | `isOWLTransitiveProperty(OWLModel owlModel, String propertyName, boolean mustExist)`
`static boolean` | `isOWLTransitiveProperty(OWLModel owlModel, URI propertyURI)`
`static boolean` | `isRDFResource(OWLModel owlModel, String resourceName)`
`static boolean` | `isRDFResource(OWLModel owlModel, URI resourceURI)`
`static boolean` | `isSWRLBuiltIn(OWLModel owlModel, String builtInName)`
`static boolean` | `isSWRLVariable(OWLModel owlModel, String individualName, boolean mustExist)`
`static boolean` | `isValidClassName(OWLModel owlModel, String className)`
`static boolean` | `isValidURI(String uri)`
`static void` | `makeDifferentFrom(OWLModel owlModel, Set<URI> individualURIs)`
`static void` | `makeDifferentFrom(OWLModel owlModel, String individualName1, String individualName2)`
`static void` | `makeDifferentFrom(OWLModel owlModel, URI individual1URI, URI individual2URI)`
`static void` | `makeSameAs(OWLModel owlModel, Set<URI> individualURIs)`
`static void` | `makeSameAs(OWLModel owlModel, String individualName1, String individualName2)`
`static void` | `makeSameAs(OWLModel owlModel, URI individual1URI, URI individual2URI)`
`static Set<String>` | `rdfResources2OWLNamedClassNames(Collection<?> resources)`
`static Set<URI>` | `rdfResources2OWLNamedClassURIs(Collection<?> resources)`
`static Set<URI>` | `rdfResources2OWLPropertyURIs(Collection<?> resources)`
`static Set<String>` | `rdfResources2URIs(Collection<?> resources)`
`static void` | `removeOWLThingSuperclass(OWLModel owlModel, OWLClass owlClass)`
`static void` | `removeOWLThingSuperclass(OWLModel owlModel, URI classURI)`
`static void` | `removeType(OWLIndividual individual, OWLClass cls)`
`static void` | `setPrefix(OWLModel owlModel, String prefix, String namespace)`
`static void` | `setType(OWLModel owlModel, String individualName, String className)`
`static void` | `writeJenaOWLModel2File(JenaOWLModel owlModel, String outputOWLFileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P3OWLUtil

    public P3OWLUtil()

Method Detail

### createJenaOWLModel

    public static JenaOWLModel createJenaOWLModel(String owlFileName)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createJenaOWLModel

    public static JenaOWLModel createJenaOWLModel()
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### importOWLFile

    public static void importOWLFile(JenaOWLModel owlModel,
                                     String importOWLFileName)
                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### setPrefix

    public static void setPrefix(OWLModel owlModel,
                                 String prefix,
                                 String namespace)
                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### writeJenaOWLModel2File

    public static void writeJenaOWLModel2File(JenaOWLModel owlModel,
                                              String outputOWLFileName)
                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLNamedClass

    public static OWLNamedClass createOWLNamedClass(OWLModel owlModel,
                                                    String className)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLNamedClass

    public static OWLNamedClass createOWLNamedClass(OWLModel owlModel,
                                                    URI classURI)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLIndividual

    public static OWLIndividual createOWLIndividual(OWLModel owlModel,
                                                    String individualName)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLIndividual

    public static OWLIndividual createOWLIndividual(OWLModel owlModel,
                                                    URI individualURI)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createRDFSNamedClass

    public static RDFSNamedClass createRDFSNamedClass(OWLModel owlModel,
                                                      String className)

### createOWLNamedClass

    public static OWLNamedClass createOWLNamedClass(OWLModel owlModel)

### createOWLObjectProperty

    public static OWLObjectProperty createOWLObjectProperty(OWLModel owlModel,
                                                            String propertyName)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLObjectProperty

    public static OWLObjectProperty createOWLObjectProperty(OWLModel owlModel,
                                                            URI propertyURI)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLObjectProperty

    public static OWLObjectProperty createOWLObjectProperty(OWLModel owlModel)

### createOWLDatatypeProperty

    public static OWLDatatypeProperty createOWLDatatypeProperty(OWLModel owlModel,
                                                                String propertyName)
                                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLDatatypeProperty

    public static OWLDatatypeProperty createOWLDatatypeProperty(OWLModel owlModel,
                                                                URI propertyURI)
                                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLAnnotationProperty

    public static RDFProperty createOWLAnnotationProperty(OWLModel owlModel,
                                                          String propertyName)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLAnnotationProperty

    public static RDFProperty createOWLAnnotationProperty(OWLModel owlModel,
                                                          URI propertyURI)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createRDFSNamedClassUsingLabelAnnotation

    public static RDFSNamedClass createRDFSNamedClassUsingLabelAnnotation(OWLModel owlModel,
                                                                          String labelText,
                                                                          boolean allowDuplicates)

### createOWLNamedClassWithRDFSLabel

    public static OWLNamedClass createOWLNamedClassWithRDFSLabel(OWLModel owlModel,
                                                                 String namespace,
                                                                 String labelText,
                                                                 String language,
                                                                 boolean allowDuplicates)
                                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLObjectPropertyUsingLabelAnnotation

    public static OWLObjectProperty createOWLObjectPropertyUsingLabelAnnotation(OWLModel owlModel,
                                                                                String namespace,
                                                                                String labelText,
                                                                                String language,
                                                                                boolean allowDuplicates)
                                                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLDataPropertyUsingLabelAnnotation

    public static OWLDatatypeProperty createOWLDataPropertyUsingLabelAnnotation(OWLModel owlModel,
                                                                                String namespace,
                                                                                String labelText,
                                                                                String language,
                                                                                boolean allowDuplicates)
                                                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLIndividualWithRDFSLabel

    public static OWLIndividual createOWLIndividualWithRDFSLabel(OWLModel owlModel,
                                                                 String namespace,
                                                                 String labelText,
                                                                 String language,
                                                                 boolean allowDuplicates)
                                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getMatchingIndividuals

    public static Set<OWLIndividual> getMatchingIndividuals(OWLModel owlModel,
                                                            String propertyName,
                                                            String matchString)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getMatchingIndividualsOfClass

    public static Set<OWLIndividual> getMatchingIndividualsOfClass(OWLModel owlModel,
                                                                   String className,
                                                                   String propertyName,
                                                                   String matchString)
                                                            throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLNamedClass

    public static boolean isOWLNamedClass(OWLModel owlModel,
                                          String className)

### isOWLNamedClass

    public static boolean isOWLNamedClass(OWLModel owlModel,
                                          URI classURI)

### isOWLClass

    public static boolean isOWLClass(OWLModel owlModel,
                                     String className)

### isOWLClass

    public static boolean isOWLClass(OWLModel owlModel,
                                     URI classURI)

### getOWLNamedClass

    public static OWLNamedClass getOWLNamedClass(OWLModel owlModel,
                                                 String className)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLNamedClass

    public static OWLNamedClass getOWLNamedClass(OWLModel owlModel,
                                                 URI classURI)

### getOWLClass

    public static OWLClass getOWLClass(OWLModel owlModel,
                                       String className)
                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLClass

    public static OWLClass getOWLClass(OWLModel owlModel,
                                       URI classURI)
                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isRDFResource

    public static boolean isRDFResource(OWLModel owlModel,
                                        String resourceName)

### isRDFResource

    public static boolean isRDFResource(OWLModel owlModel,
                                        URI resourceURI)

### getRDFResource

    public static RDFResource getRDFResource(OWLModel owlModel,
                                             String resourceName)

### getRDFResource

    public static RDFResource getRDFResource(OWLModel owlModel,
                                             URI resourceURI)

### getRDFSClass

    public static RDFSClass getRDFSClass(OWLModel owlModel,
                                         String className)
                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLClassDescription

    public static OWLClass getOWLClassDescription(OWLModel owlModel,
                                                  String descriptionClassName)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createIndividual

    public static OWLIndividual createIndividual(OWLModel owlModel,
                                                 String individualName)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createIndividual

    public static OWLIndividual createIndividual(OWLModel owlModel,
                                                 URI individualURI)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLIndividual

    public static OWLIndividual createOWLIndividual(OWLModel owlModel)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createIndividualOfClass

    public static OWLIndividual createIndividualOfClass(OWLModel owlModel,
                                                        String className)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createIndividualOfClass

    public static OWLIndividual createIndividualOfClass(OWLModel owlModel,
                                                        String className,
                                                        String individualName)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createIndividualOfClass

    public static OWLIndividual createIndividualOfClass(OWLModel owlModel,
                                                        OWLClass cls)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createIndividualOfClass

    public static OWLIndividual createIndividualOfClass(OWLModel owlModel,
                                                        OWLClass cls,
                                                        String individualName)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getNamedClass

    public static OWLNamedClass getNamedClass(OWLModel owlModel,
                                              String className)
                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getClass

    public static OWLClass getClass(OWLModel owlModel,
                                    String className)
                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getClass

    public static OWLClass getClass(OWLModel owlModel,
                                    URI classURI)
                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLIndividualOfClass

    public static boolean isOWLIndividualOfClass(OWLModel owlModel,
                                                 OWLIndividual individual,
                                                 String className)

### isOWLIndividualOfType

    public static boolean isOWLIndividualOfType(OWLModel owlModel,
                                                URI individualURI,
                                                URI classURI)

### isOWLIndividualOfType

    public static boolean isOWLIndividualOfType(OWLModel owlModel,
                                                String individualName,
                                                String className)

### isOWLIndividualOfType

    public static boolean isOWLIndividualOfType(OWLModel owlModel,
                                                String individualName,
                                                OWLNamedClass cls)

### isOWLIndividualOfDirectTypeOWLThing

    public static boolean isOWLIndividualOfDirectTypeOWLThing(OWLModel owlModel,
                                                              String individualName)

### setType

    public static void setType(OWLModel owlModel,
                               String individualName,
                               String className)
                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addObjectPropertyValue

    public static void addObjectPropertyValue(OWLModel owlModel,
                                              String subjectName,
                                              String propertyName,
                                              String objectName)
                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addStringDataPropertyValue

    public static void addStringDataPropertyValue(OWLModel owlModel,
                                                  String subjectName,
                                                  String propertyName,
                                                  String propertyValue)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addDataPropertyValueWithLanguage

    public static void addDataPropertyValueWithLanguage(OWLModel owlModel,
                                                        String subjectName,
                                                        String propertyName,
                                                        String propertyValue,
                                                        String language)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addAnnotationObjectPropertyValue

    public static void addAnnotationObjectPropertyValue(OWLModel owlModel,
                                                        String subjectName,
                                                        String propertyName,
                                                        String propertyValue)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addAnnotationPropertyValue

    public static void addAnnotationPropertyValue(OWLModel owlModel,
                                                  String subjectName,
                                                  String propertyName,
                                                  String propertyValue)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addAnnotationStringDataPropertyValue

    public static void addAnnotationStringDataPropertyValue(OWLModel owlModel,
                                                            String subjectName,
                                                            String propertyName,
                                                            String propertyValue)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addRDFSLabelPropertyValueWithLanguage

    public static void addRDFSLabelPropertyValueWithLanguage(OWLModel owlModel,
                                                             String subjectName,
                                                             String propertyValue,
                                                             String language)
                                                      throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addAnnotationDataPropertyValueWithLanguage

    public static void addAnnotationDataPropertyValueWithLanguage(OWLModel owlModel,
                                                                  String subjectName,
                                                                  String propertyName,
                                                                  String propertyValue,
                                                                  String language)
                                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addDataPropertyValue

    public static void addDataPropertyValue(OWLModel owlModel,
                                            String subjectName,
                                            String propertyName,
                                            String propertyValue,
                                            String datatypeName)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addAnnotationDataPropertyValue

    public static void addAnnotationDataPropertyValue(OWLModel owlModel,
                                                      String subjectName,
                                                      String propertyName,
                                                      String propertyValue,
                                                      String datatypeName)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addType

    public static void addType(OWLModel owlModel,
                               String resourceName,
                               String className)
                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addType

    public static void addType(OWLModel owlModel,
                               URI resourceURI,
                               URI classURI)
                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addType

    public static void addType(RDFResource resource,
                               OWLClass cls)

### removeType

    public static void removeType(OWLIndividual individual,
                                  OWLClass cls)
                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getFullNameFromName

    public static String getFullNameFromName(OWLModel owlModel,
                                             String prefixedName)
                                      throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getURIFromName

    public static URI getURIFromName(OWLModel owlModel,
                                     String name)
                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getRDFSLabels

    public static Set<String> getRDFSLabels(OWLModel owlModel,
                                            String resourceName)

### getRDFSLabels

    public static Set<String> getRDFSLabels(OWLModel owlModel,
                                            String resourceName,
                                            String language)

### getRDFSLabels

    public static Set<String> getRDFSLabels(OWLModel owlModel,
                                            URI resourceURI,
                                            String language)

### getRDFSLabelLanguages

    public static Set<String> getRDFSLabelLanguages(OWLModel owlModel,
                                                    String resourceName)

### getRDFSLabelLanguages

    public static Set<String> getRDFSLabelLanguages(OWLModel owlModel,
                                                    URI resourceURI)

### addRDFSLabel

    public static void addRDFSLabel(RDFResource resource,
                                    String labelText,
                                    String language)

### hasRDFSLabel

    public static boolean hasRDFSLabel(RDFResource resource,
                                       String labelText,
                                       String language)

### hasRDFSLabelIgnoringLanguage

    public static boolean hasRDFSLabelIgnoringLanguage(RDFResource resource,
                                                       String labelText)

### getOWLSomeValuesFrom

    public static OWLSomeValuesFrom getOWLSomeValuesFrom(OWLModel owlModel,
                                                         URI classURI)
                                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLIndividual

    public static OWLIndividual getOWLIndividual(OWLNamedClass cls,
                                                 boolean mustExist,
                                                 int mustHaveExactlyN)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getAllOWLIndividuals

    public static Set<OWLIndividual> getAllOWLIndividuals(OWLModel owlModel)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLIndividualsOfClass

    public static Set<OWLIndividual> getOWLIndividualsOfClass(OWLModel owlModel,
                                                              String className)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLIndividualsOfClass

    public static Set<OWLIndividual> getOWLIndividualsOfClass(OWLModel owlModel,
                                                              URI classURI)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLIndividualsOfClass

    public static Set<OWLIndividual> getOWLIndividualsOfClass(OWLNamedClass cls)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getProperty

    public static OWLProperty getProperty(OWLModel owlModel,
                                          String propertyName)
                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDataProperty

    public static OWLDatatypeProperty getOWLDataProperty(OWLModel owlModel,
                                                         String propertyName)
                                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDataProperty

    public static OWLDatatypeProperty getOWLDataProperty(OWLModel owlModel,
                                                         String propertyName,
                                                         boolean mustExist)
                                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLObjectProperty

    public static OWLObjectProperty getOWLObjectProperty(OWLModel owlModel,
                                                         String propertyName,
                                                         boolean mustExist)
                                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLObjectProperty

    public static OWLObjectProperty getOWLObjectProperty(OWLModel owlModel,
                                                         String propertyName)

### getOWLObjectProperty

    public static OWLObjectProperty getOWLObjectProperty(OWLModel owlModel,
                                                         URI propertyURI)

### getOWLDatatypeProperty

    public static OWLDatatypeProperty getOWLDatatypeProperty(OWLModel owlModel,
                                                             String propertyName)

### getOWLDatatypeProperty

    public static OWLDatatypeProperty getOWLDatatypeProperty(OWLModel owlModel,
                                                             URI propertyURI)

### isOWLEquivalentProperty

    public static boolean isOWLEquivalentProperty(OWLModel owlModel,
                                                  String propertyName1,
                                                  String propertyName2,
                                                  boolean mustExist)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLEquivalentClass

    public static boolean isOWLEquivalentClass(OWLModel owlModel,
                                               String className1,
                                               String className2,
                                               boolean mustExist)
                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDisjointClass

    public static boolean isOWLDisjointClass(OWLModel owlModel,
                                             String className1,
                                             String className2,
                                             boolean mustExist)
                                      throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSubPropertyOf

    public static boolean isOWLSubPropertyOf(OWLModel owlModel,
                                             String subPropertyName,
                                             String propertyName,
                                             boolean mustExist)
                                      throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSubPropertyOf

    public static boolean isOWLSubPropertyOf(OWLModel owlModel,
                                             URI subPropertyURI,
                                             URI propertyURI,
                                             boolean mustExist)
                                      throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSuperPropertyOf

    public static boolean isOWLSuperPropertyOf(OWLModel owlModel,
                                               String superPropertyName,
                                               String propertyName,
                                               boolean mustExist)
                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSuperPropertyOf

    public static boolean isOWLSuperPropertyOf(OWLModel owlModel,
                                               URI superPropertyURI,
                                               URI propertyURI,
                                               boolean mustExist)
                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDirectSuperPropertyOf

    public static boolean isOWLDirectSuperPropertyOf(OWLModel owlModel,
                                                     String superPropertyName,
                                                     String propertyName,
                                                     boolean mustExist)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDirectSuperPropertyOf

    public static boolean isOWLDirectSuperPropertyOf(OWLModel owlModel,
                                                     URI superPropertyURI,
                                                     URI propertyURI,
                                                     boolean mustExist)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDirectSubPropertyOf

    public static boolean isOWLDirectSubPropertyOf(OWLModel owlModel,
                                                   String subPropertyName,
                                                   String propertyName,
                                                   boolean mustExist)
                                            throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDirectSubPropertyOf

    public static boolean isOWLDirectSubPropertyOf(OWLModel owlModel,
                                                   URI subPropertyURI,
                                                   URI propertyURI,
                                                   boolean mustExist)
                                            throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDirectSubClassOf

    public static boolean isOWLDirectSubClassOf(OWLModel owlModel,
                                                String subClassName,
                                                String className,
                                                boolean mustExist)
                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDirectSubClassOf

    public static boolean isOWLDirectSubClassOf(OWLModel owlModel,
                                                URI subClassURI,
                                                URI classURI,
                                                boolean mustExist)
                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSubClassOf

    public static boolean isOWLSubClassOf(OWLModel owlModel,
                                          String subClassName,
                                          String superClassName,
                                          boolean mustExist)
                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSubClassOf

    public static boolean isOWLSubClassOf(OWLClass subClass,
                                          OWLClass superClass)

### isOWLSubClassOf

    public static boolean isOWLSubClassOf(OWLModel owlModel,
                                          URI subClassURI,
                                          URI classURI,
                                          boolean mustExist)
                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addOWLSuperClass

    public static void addOWLSuperClass(OWLModel owlModel,
                                        String subClassName,
                                        String superClassName)
                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addOWLSuperClass

    public static void addOWLSuperClass(OWLModel owlModel,
                                        URI subClassURI,
                                        URI superClassURI)
                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addOWLSuperClass

    public static void addOWLSuperClass(OWLClass subClass,
                                        OWLClass superClass)

### addRDFSSuperClass

    public static void addRDFSSuperClass(RDFSClass subClass,
                                         RDFSClass superClass)

### isOWLDirectSuperClassOf

    public static boolean isOWLDirectSuperClassOf(OWLModel owlModel,
                                                  String superClassName,
                                                  String className,
                                                  boolean mustExist)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDirectSuperClassOf

    public static boolean isOWLDirectSuperClassOf(OWLModel owlModel,
                                                  URI superClassURI,
                                                  URI classURI,
                                                  boolean mustExist)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSuperClassOf

    public static boolean isOWLSuperClassOf(OWLModel owlModel,
                                            String superClassName,
                                            String className)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSuperClassOf

    public static boolean isOWLSuperClassOf(OWLModel owlModel,
                                            String superClassName,
                                            String className,
                                            boolean mustExist)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSuperClassOf

    public static boolean isOWLSuperClassOf(OWLModel owlModel,
                                            URI superClassURI,
                                            URI classURI,
                                            boolean mustExist)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getNumberOfOWLIndividualsOfClass

    public static int getNumberOfOWLIndividualsOfClass(OWLModel owlModel,
                                                       String className)
                                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getNumberOfOWLIndividualsOfClass

    public static int getNumberOfOWLIndividualsOfClass(OWLModel owlModel,
                                                       String className,
                                                       boolean mustExist)
                                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getNumberOfDirectOWLInstancesOfClass

    public static int getNumberOfDirectOWLInstancesOfClass(OWLModel owlModel,
                                                           String className,
                                                           boolean mustExist)
                                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isConsistentOWLClass

    public static boolean isConsistentOWLClass(OWLModel owlModel,
                                               String className,
                                               boolean mustExist)
                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDomainClasses

    public static Set<OWLNamedClass> getOWLDomainClasses(OWLModel owlModel,
                                                         String propertyName)
                                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDomainClasses

    public static Set<OWLNamedClass> getOWLDomainClasses(OWLModel owlModel,
                                                         URI propertyURI)
                                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDomainClasses

    public static Set<OWLNamedClass> getOWLDomainClasses(OWLModel owlModel,
                                                         String propertyName,
                                                         boolean mustExist)
                                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectOWLDomainClasses

    public static Set<OWLNamedClass> getDirectOWLDomainClasses(OWLModel owlModel,
                                                               String propertyName)
                                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectOWLDomainClasses

    public static Set<OWLNamedClass> getDirectOWLDomainClasses(OWLModel owlModel,
                                                               URI propertyURI)
                                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectOWLDomainClasses

    public static Set<OWLNamedClass> getDirectOWLDomainClasses(OWLModel owlModel,
                                                               String propertyName,
                                                               boolean mustExist)
                                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### removeOWLThingSuperclass

    public static void removeOWLThingSuperclass(OWLModel owlModel,
                                                OWLClass owlClass)

### removeOWLThingSuperclass

    public static void removeOWLThingSuperclass(OWLModel owlModel,
                                                URI classURI)
                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLRangeClasses

    public static Set<OWLNamedClass> getOWLRangeClasses(OWLModel owlModel,
                                                        String propertyName)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLRangeClasses

    public static Set<OWLNamedClass> getOWLRangeClasses(OWLModel owlModel,
                                                        URI propertyURI)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDirectRangeClasses

    public static Set<OWLNamedClass> getOWLDirectRangeClasses(OWLModel owlModel,
                                                              String propertyName,
                                                              boolean mustExist)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDirectRangeClasses

    public static Set<OWLNamedClass> getOWLDirectRangeClasses(OWLModel owlModel,
                                                              String propertyName)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDirectRangeClasses

    public static Set<OWLNamedClass> getOWLDirectRangeClasses(OWLModel owlModel,
                                                              URI propertyURI)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInOWLPropertyDomain

    public static boolean isInOWLPropertyDomain(OWLModel owlModel,
                                                String propertyName,
                                                String className,
                                                boolean mustExist)
                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInOWLPropertyDomain

    public static boolean isInOWLPropertyDomain(OWLModel owlModel,
                                                URI propertyURI,
                                                URI classURI,
                                                boolean mustExist)
                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInDirectOWLPropertyDomain

    public static boolean isInDirectOWLPropertyDomain(OWLModel owlModel,
                                                      String propertyName,
                                                      String className,
                                                      boolean mustExist)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInDirectOWLPropertyDomain

    public static boolean isInDirectOWLPropertyDomain(OWLModel owlModel,
                                                      URI propertyURI,
                                                      URI classURI,
                                                      boolean mustExist)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInPropertyRange

    public static boolean isInPropertyRange(OWLModel owlModel,
                                            String propertyName,
                                            String className,
                                            boolean mustExist)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInPropertyRange

    public static boolean isInPropertyRange(OWLModel owlModel,
                                            URI propertyURI,
                                            URI classURI,
                                            boolean mustExist)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInDirectPropertyRange

    public static boolean isInDirectPropertyRange(OWLModel owlModel,
                                                  String propertyName,
                                                  String className,
                                                  boolean mustExist)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInDirectPropertyRange

    public static boolean isInDirectPropertyRange(OWLModel owlModel,
                                                  URI propertyURI,
                                                  URI classURI,
                                                  boolean mustExist)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLObjectProperty

    public static boolean isOWLObjectProperty(OWLModel owlModel,
                                              String propertyName,
                                              boolean mustExist)
                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLObjectProperty

    public static boolean isOWLObjectProperty(OWLModel owlModel,
                                              URI propertyURI,
                                              boolean mustExist)
                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLIndividual

    public static boolean isOWLIndividual(OWLModel owlModel,
                                          String individualName)

### isOWLIndividual

    public static boolean isOWLIndividual(OWLModel owlModel,
                                          URI individualURI)

### isOWLObjectProperty

    public static boolean isOWLObjectProperty(OWLModel owlModel,
                                              String propertyName)

### isOWLObjectProperty

    public static boolean isOWLObjectProperty(OWLModel owlModel,
                                              URI propertyURI)

### isOWLDataProperty

    public static boolean isOWLDataProperty(OWLModel owlModel,
                                            String propertyName,
                                            boolean mustExist)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDataProperty

    public static boolean isOWLDataProperty(OWLModel owlModel,
                                            URI propertyURI,
                                            boolean mustExist)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### hasXSDStringRange

    public static boolean hasXSDStringRange(OWLModel owlModel,
                                            String propertyName)
                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLDataProperty

    public static boolean isOWLDataProperty(OWLModel owlModel,
                                            String propertyName)

### isOWLDatatype

    public static boolean isOWLDatatype(OWLModel owlModel,
                                        String datatypeName)

### isOWLDatatype

    public static boolean isOWLDatatype(OWLModel owlModel,
                                        URI datatypeURI)

### isOWLDataProperty

    public static boolean isOWLDataProperty(OWLModel owlModel,
                                            URI propertyURI)

### isOWLTransitiveProperty

    public static boolean isOWLTransitiveProperty(OWLModel owlModel,
                                                  String propertyName,
                                                  boolean mustExist)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLTransitiveProperty

    public static boolean isOWLTransitiveProperty(OWLModel owlModel,
                                                  String propertyName)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLTransitiveProperty

    public static boolean isOWLTransitiveProperty(OWLModel owlModel,
                                                  URI propertyURI)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSymmetricProperty

    public static boolean isOWLSymmetricProperty(OWLModel owlModel,
                                                 String propertyName,
                                                 boolean mustExist)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLSymmetricProperty

    public static boolean isOWLSymmetricProperty(OWLModel owlModel,
                                                 URI propertyURI,
                                                 boolean mustExist)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLFunctionalProperty

    public static boolean isOWLFunctionalProperty(OWLModel owlModel,
                                                  String propertyName,
                                                  boolean mustExist)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLFunctionalProperty

    public static boolean isOWLFunctionalProperty(OWLModel owlModel,
                                                  URI propertyURI,
                                                  boolean mustExist)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isAnnotationProperty

    public static boolean isAnnotationProperty(OWLModel owlModel,
                                               String propertyName,
                                               boolean mustExist)
                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isAnnotationProperty

    public static boolean isAnnotationProperty(OWLModel owlModel,
                                               URI propertyURI,
                                               boolean mustExist)
                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isAnnotationProperty

    public static boolean isAnnotationProperty(OWLModel owlModel,
                                               String propertyName)
                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInverseFunctionalProperty

    public static boolean isInverseFunctionalProperty(OWLModel owlModel,
                                                      String propertyName,
                                                      boolean mustExist)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isInverseFunctionalProperty

    public static boolean isInverseFunctionalProperty(OWLModel owlModel,
                                                      URI propertyURI,
                                                      boolean mustExist)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isAnonymousResourceName

    public static boolean isAnonymousResourceName(OWLModel owlModel,
                                                  String resourceName)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isAnonymousResourceName

    public static boolean isAnonymousResourceName(OWLModel owlModel,
                                                  URI resourceURI)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getIndividual

    public static OWLIndividual getIndividual(OWLModel owlModel,
                                              String individualName)
                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getIndividual

    public static OWLIndividual getIndividual(OWLModel owlModel,
                                              URI individualURI)
                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLIndividual

    public static OWLIndividual getOWLIndividual(OWLModel owlModel,
                                                 String individualName,
                                                 boolean mustExist)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLNamedClass

    public static OWLNamedClass getOWLNamedClass(OWLModel owlModel,
                                                 String className,
                                                 boolean mustExist)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLClass

    public static OWLClass getOWLClass(OWLModel owlModel,
                                       String className,
                                       boolean mustExist)
                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLClassesOfIndividual

    public static Set<OWLNamedClass> getOWLClassesOfIndividual(OWLModel owlModel,
                                                               String individualName)
                                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLNamedClasses

    public static Set<OWLNamedClass> getOWLNamedClasses(OWLModel owlModel)

### getOWLClasses

    public static Set<OWLClass> getOWLClasses(OWLModel owlModel)

### getOWLIndividuals

    public static Set<OWLIndividual> getOWLIndividuals(OWLModel owlModel)

### getOWLObjectProperties

    public static Set<OWLObjectProperty> getOWLObjectProperties(OWLModel owlModel)

### getOWLDatatypeProperties

    public static Set<OWLDatatypeProperty> getOWLDatatypeProperties(OWLModel owlModel)

### getOWLAnnotationProperties

    public static Set<RDFProperty> getOWLAnnotationProperties(OWLModel owlModel)

### getOWLClassesOfIndividual

    public static Set<OWLNamedClass> getOWLClassesOfIndividual(OWLModel owlModel,
                                                               URI individualURI)
                                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLClassesOfIndividual

    public static Set<OWLNamedClass> getOWLClassesOfIndividual(OWLModel owlModel,
                                                               String individualName,
                                                               boolean mustExist)
                                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getClassesOfIndividual

    public static Set<OWLNamedClass> getClassesOfIndividual(OWLIndividual individual)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getNextAnonymousResourceName

    public static String getNextAnonymousResourceName(OWLModel owlModel)

### getNextAnonymousResourceURI

    public static URI getNextAnonymousResourceURI(OWLModel owlModel)
                                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLNamedEntity

    public static boolean isOWLNamedEntity(OWLModel owlModel,
                                           String name)

### isOWLNamedClass

    public static boolean isOWLNamedClass(OWLModel owlModel,
                                          String className,
                                          boolean mustExist)
                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLProperty

    public static boolean isOWLProperty(OWLModel owlModel,
                                        String propertyName)

### isOWLProperty

    public static boolean isOWLProperty(OWLModel owlModel,
                                        String propertyName,
                                        boolean mustExist)
                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isOWLProperty

    public static boolean isOWLProperty(OWLModel owlModel,
                                        URI propertyURI,
                                        boolean mustExist)
                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getUserDefinedOWLNamedClasses

    public static Collection<OWLNamedClass> getUserDefinedOWLNamedClasses(OWLModel owlModel)

### getUserDefinedOWLProperties

    public static Collection<OWLProperty> getUserDefinedOWLProperties(OWLModel owlModel)

### getUserDefinedOWLObjectProperties

    public static Collection<OWLProperty> getUserDefinedOWLObjectProperties(OWLModel owlModel)

### getUserDefinedOWLDatatypeProperties

    public static Collection<OWLProperty> getUserDefinedOWLDatatypeProperties(OWLModel owlModel)

### isIndividual

    public static boolean isIndividual(OWLModel owlModel,
                                       String individualName,
                                       boolean mustExist)
                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isSWRLVariable

    public static boolean isSWRLVariable(OWLModel owlModel,
                                         String individualName,
                                         boolean mustExist)
                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isIndividual

    public static boolean isIndividual(OWLModel owlModel,
                                       String individualName)
                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isIndividual

    public static boolean isIndividual(OWLModel owlModel,
                                       URI individualURI)
                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getNumberOfPropertyValues

    public static int getNumberOfPropertyValues(OWLModel owlModel,
                                                String individualName,
                                                String propertyName,
                                                boolean mustExist)
                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getNumberOfPropertyValues

    public static int getNumberOfPropertyValues(OWLModel owlModel,
                                                URI individualURI,
                                                URI propertyURI,
                                                boolean mustExist)
                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLPropertiesOfIndividual

    public static Set<OWLProperty> getOWLPropertiesOfIndividual(OWLModel owlModel,
                                                                String individualName)
                                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLPropertiesOfIndividual

    public static Set<OWLProperty> getOWLPropertiesOfIndividual(OWLModel owlModel,
                                                                URI individualURI)
                                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getPossibleOWLPropertiesOfIndividual

    public static Set<OWLProperty> getPossibleOWLPropertiesOfIndividual(OWLModel owlModel,
                                                                        String individualName)
                                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getURI

    public static String getURI(OWLModel owlModel,
                                String resourceName)
                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getNumberOfOWLPropertyValues

    public static int getNumberOfOWLPropertyValues(OWLModel owlModel,
                                                   String individualName,
                                                   String propertyName,
                                                   Object propertyValue,
                                                   boolean mustExist)
                                            throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addOWLPropertyValue

    public static void addOWLPropertyValue(OWLModel owlModel,
                                           String resourceName,
                                           String propertyName,
                                           Object propertyValue)
                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addOWLPropertyValue

    public static void addOWLPropertyValue(OWLModel owlModel,
                                           OWLIndividual individual,
                                           String propertyName,
                                           Object propertyValue)
                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### addPropertyValue

    public static void addPropertyValue(OWLIndividual individual,
                                        OWLProperty property,
                                        Object propertyValue)
                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValue

    public static RDFResource getObjectPropertyValue(OWLIndividual individual,
                                                     OWLProperty property)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValues

    public static Set<RDFResource> getObjectPropertyValues(OWLModel owlModel,
                                                           String individualName,
                                                           String propertyName)
                                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValues

    public static Set<RDFResource> getObjectPropertyValues(OWLModel owlModel,
                                                           OWLIndividual individual,
                                                           String propertyName)
                                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLObjectPropertyIndividualValues

    public static Set<OWLIndividual> getOWLObjectPropertyIndividualValues(OWLModel owlModel,
                                                                          OWLIndividual individual,
                                                                          String propertyName,
                                                                          String expectedInstanceClassName)
                                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLObjectPropertyIndividualValue

    public static OWLIndividual getOWLObjectPropertyIndividualValue(OWLModel owlModel,
                                                                    OWLIndividual individual,
                                                                    String propertyName,
                                                                    String expectedInstanceClassName)
                                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLObjectPropertyPropertyValue

    public static OWLProperty getOWLObjectPropertyPropertyValue(OWLModel owlModel,
                                                                OWLIndividual individual,
                                                                String propertyName)
                                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValues

    public static Set<RDFResource> getObjectPropertyValues(OWLModel owlModel,
                                                           OWLIndividual individual,
                                                           String propertyName,
                                                           boolean mustExist)
                                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValues

    public static Set<RDFResource> getObjectPropertyValues(OWLModel owlModel,
                                                           String individualName,
                                                           String propertyName,
                                                           boolean mustExist)
                                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValues

    public static Set<RDFResource> getObjectPropertyValues(OWLModel owlModel,
                                                           URI individualURI,
                                                           URI propertyURI,
                                                           boolean mustExist)
                                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValues

    public static Set<RDFResource> getObjectPropertyValues(OWLModel owlModel,
                                                           URI individualURI,
                                                           URI propertyURI)
                                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValue

    public static RDFResource getObjectPropertyValue(OWLModel owlModel,
                                                     OWLIndividual individual,
                                                     String propertyName)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValue

    public static RDFResource getObjectPropertyValue(OWLModel owlModel,
                                                     OWLIndividual individual,
                                                     String propertyName,
                                                     boolean mustExist)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValue

    public static RDFResource getObjectPropertyValue(OWLModel owlModel,
                                                     String individualName,
                                                     String propertyName)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValue

    public static RDFResource getObjectPropertyValue(OWLModel owlModel,
                                                     String individualName,
                                                     String propertyName,
                                                     boolean mustExist)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getObjectPropertyValue

    public static RDFResource getObjectPropertyValue(OWLModel owlModel,
                                                     URI individualURI,
                                                     URI propertyURI,
                                                     boolean mustExist)

### getObjectPropertyValue

    public static RDFResource getObjectPropertyValue(OWLModel owlModel,
                                                     URI individualURI,
                                                     URI propertyURI)

### getDatavaluedPropertyValue

    public static Object getDatavaluedPropertyValue(OWLModel owlModel,
                                                    String individualName,
                                                    String propertyName)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValue

    public static Object getDatavaluedPropertyValue(OWLModel owlModel,
                                                    String individualName,
                                                    String propertyName,
                                                    boolean mustExist)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValue

    public static Object getDatavaluedPropertyValue(OWLModel owlModel,
                                                    OWLIndividual individual,
                                                    String propertyName,
                                                    boolean mustExist)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValue

    public static Object getDatavaluedPropertyValue(OWLModel owlModel,
                                                    OWLIndividual individual,
                                                    OWLProperty property,
                                                    boolean mustExist)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValues

    public static Set<Object> getDatavaluedPropertyValues(OWLModel owlModel,
                                                          OWLIndividual individual,
                                                          String propertyName,
                                                          boolean mustExist)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValues

    public static Set<Object> getDatavaluedPropertyValues(OWLModel owlModel,
                                                          String individualName,
                                                          String propertyName,
                                                          boolean mustExist)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValues

    public static Set<Object> getDatavaluedPropertyValues(OWLModel owlModel,
                                                          String individualName,
                                                          String propertyName)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValues

    public static Set<Object> getDatavaluedPropertyValues(OWLModel owlModel,
                                                          URI individualURI,
                                                          URI propertyURI)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDatavaluedPropertyValueAsInteger

    public static int getOWLDatavaluedPropertyValueAsInteger(OWLModel owlModel,
                                                             OWLIndividual individual,
                                                             String propertyName,
                                                             boolean mustExist)
                                                      throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsInteger

    public static int getDatavaluedPropertyValueAsInteger(OWLModel owlModel,
                                                          String individualName,
                                                          String propertyName,
                                                          boolean mustExist)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDatavaluedPropertyValueAsInteger

    public static int getOWLDatavaluedPropertyValueAsInteger(OWLModel owlModel,
                                                             OWLIndividual individual,
                                                             String propertyName)
                                                      throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsInteger

    public static int getDatavaluedPropertyValueAsInteger(OWLModel owlModel,
                                                          String individualName,
                                                          String propertyName)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDatavaluedPropertyValueAsLong

    public static long getOWLDatavaluedPropertyValueAsLong(OWLModel owlModel,
                                                           OWLIndividual individual,
                                                           String propertyName,
                                                           boolean mustExist)
                                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsLong

    public static long getDatavaluedPropertyValueAsLong(OWLModel owlModel,
                                                        String individualName,
                                                        String propertyName,
                                                        boolean mustExist)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsLong

    public static long getDatavaluedPropertyValueAsLong(OWLModel owlModel,
                                                        OWLIndividual individual,
                                                        String propertyName)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsLong

    public static long getDatavaluedPropertyValueAsLong(OWLModel owlModel,
                                                        String individualName,
                                                        String propertyName)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsString

    public static String getDatavaluedPropertyValueAsString(OWLModel owlModel,
                                                            OWLIndividual individual,
                                                            String propertyName)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsString

    public static String getDatavaluedPropertyValueAsString(OWLModel owlModel,
                                                            OWLIndividual individual,
                                                            String propertyName,
                                                            boolean mustExist)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsString

    public static String getDatavaluedPropertyValueAsString(OWLModel owlModel,
                                                            String individualName,
                                                            String propertyName,
                                                            boolean mustExist,
                                                            String defaultValue)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsString

    public static String getDatavaluedPropertyValueAsString(OWLModel owlModel,
                                                            String individualName,
                                                            String propertyName)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsString

    public static String getDatavaluedPropertyValueAsString(OWLModel owlModel,
                                                            String individualName,
                                                            String propertyName,
                                                            boolean mustExist)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsString

    public static String getDatavaluedPropertyValueAsString(OWLModel owlModel,
                                                            OWLIndividual individual,
                                                            String propertyName,
                                                            boolean mustExist,
                                                            String defaultValue)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsString

    public static String getDatavaluedPropertyValueAsString(OWLModel owlModel,
                                                            OWLIndividual individual,
                                                            OWLProperty property,
                                                            boolean mustExist)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsBoolean

    public static Boolean getDatavaluedPropertyValueAsBoolean(OWLModel owlModel,
                                                              String individualName,
                                                              String propertyName,
                                                              boolean mustExist)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsBoolean

    public static Boolean getDatavaluedPropertyValueAsBoolean(OWLModel owlModel,
                                                              String individualName,
                                                              String propertyName)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsBoolean

    public static Boolean getDatavaluedPropertyValueAsBoolean(OWLModel owlModel,
                                                              OWLIndividual individual,
                                                              String propertyName,
                                                              boolean mustExist)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsBoolean

    public static Boolean getDatavaluedPropertyValueAsBoolean(OWLModel owlModel,
                                                              OWLIndividual individual,
                                                              OWLProperty property,
                                                              boolean mustExist)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsCollection

    public static Collection<?> getDatavaluedPropertyValueAsCollection(OWLModel owlModel,
                                                                       OWLIndividual individual,
                                                                       String propertyName)
                                                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsCollection

    public static Collection<?> getDatavaluedPropertyValueAsCollection(OWLModel owlModel,
                                                                       String individualName,
                                                                       String propertyName)
                                                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsCollection

    public static Collection<?> getDatavaluedPropertyValueAsCollection(OWLModel owlModel,
                                                                       OWLIndividual individual,
                                                                       String propertyName,
                                                                       boolean mustExist)
                                                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDatavaluedPropertyValueAsCollection

    public static Collection<?> getDatavaluedPropertyValueAsCollection(OWLModel owlModel,
                                                                       OWLIndividual individual,
                                                                       OWLProperty property,
                                                                       boolean mustExist)
                                                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectSubClassesOf

    public static List<OWLNamedClass> getDirectSubClassesOf(OWLModel owlModel,
                                                            String className)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectSubClassesOf

    public static List<OWLNamedClass> getDirectSubClassesOf(OWLModel owlModel,
                                                            URI classURI)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSubClassesOf

    public static List<OWLNamedClass> getSubClassesOf(OWLModel owlModel,
                                                      String className)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSubClassesOf

    public static List<OWLNamedClass> getSubClassesOf(OWLModel owlModel,
                                                      URI classURI)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectSuperClassesOf

    public static List<OWLNamedClass> getDirectSuperClassesOf(OWLModel owlModel,
                                                              String className)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectSuperClassesOf

    public static List<OWLNamedClass> getDirectSuperClassesOf(OWLModel owlModel,
                                                              URI classURI)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSuperClassesOf

    public static List<OWLNamedClass> getSuperClassesOf(OWLModel owlModel,
                                                        String className)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSuperClassesOf

    public static List<OWLNamedClass> getSuperClassesOf(OWLModel owlModel,
                                                        URI classURI)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSubClassesOf

    public static List<OWLNamedClass> getSubClassesOf(OWLNamedClass cls)

### getDirectSubClassesOf

    public static List<OWLNamedClass> getDirectSubClassesOf(OWLNamedClass cls)

### getSuperClassesOf

    public static List<OWLNamedClass> getSuperClassesOf(OWLNamedClass cls)

### getDirectSuperClassesOf

    public static List<OWLNamedClass> getDirectSuperClassesOf(OWLNamedClass cls)

### getDirectSubPropertiesOf

    public static Set<OWLProperty> getDirectSubPropertiesOf(OWLModel owlModel,
                                                            String propertyName)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectSubPropertiesOf

    public static Set<OWLProperty> getDirectSubPropertiesOf(OWLModel owlModel,
                                                            URI propertyURI)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSubPropertiesOf

    public static Set<OWLProperty> getSubPropertiesOf(OWLModel owlModel,
                                                      String propertyName)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSubPropertiesOf

    public static Set<OWLProperty> getSubPropertiesOf(OWLModel owlModel,
                                                      URI propertyURI)
                                               throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectSuperPropertiesOf

    public static Set<OWLProperty> getDirectSuperPropertiesOf(OWLModel owlModel,
                                                              String propertyName)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectSuperPropertiesOf

    public static Set<OWLProperty> getDirectSuperPropertiesOf(OWLModel owlModel,
                                                              URI propertyURI)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSuperPropertiesOf

    public static Set<OWLProperty> getSuperPropertiesOf(OWLModel owlModel,
                                                        String propertyName)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSuperPropertiesOf

    public static Set<OWLProperty> getSuperPropertiesOf(OWLModel owlModel,
                                                        URI propertyURI)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSubPropertiesOf

    public static Set<OWLProperty> getSubPropertiesOf(OWLProperty property)

### getEquivalentPropertiesOf

    public static Set<OWLProperty> getEquivalentPropertiesOf(OWLProperty property)

### getDirectSubPropertiesOf

    public static Set<OWLProperty> getDirectSubPropertiesOf(OWLProperty property)
                                                     throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getSuperPropertiesOf

    public static Set<OWLProperty> getSuperPropertiesOf(OWLProperty property)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDirectSuperPropertiesOf

    public static Set<OWLProperty> getDirectSuperPropertiesOf(OWLProperty property)
                                                       throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDomainProperties

    public static Set<OWLProperty> getDomainProperties(OWLModel owlModel,
                                                       String className,
                                                       boolean transitive)
                                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getDomainProperties

    public static Set<OWLProperty> getDomainProperties(OWLModel owlModel,
                                                       URI classURI,
                                                       boolean transitive)
                                                throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### rdfResources2OWLNamedClassNames

    public static Set<String> rdfResources2OWLNamedClassNames(Collection<?> resources)

### rdfResources2URIs

    public static Set<String> rdfResources2URIs(Collection<?> resources)

### rdfResources2OWLNamedClassURIs

    public static Set<URI> rdfResources2OWLNamedClassURIs(Collection<?> resources)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### rdfResources2OWLPropertyURIs

    public static Set<URI> rdfResources2OWLPropertyURIs(Collection<?> resources)
                                                 throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### hasInconsistentClasses

    public static boolean hasInconsistentClasses(OWLModel owlModel)

### createNewResourceName

    public static String createNewResourceName(OWLModel owlModel,
                                               String localNamePrefix)

### createNewResourceURI

    public static URI createNewResourceURI(OWLModel owlModel,
                                           String localNamePrefix)
                                    throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getRDFSDatatype

    public static RDFSDatatype getRDFSDatatype(OWLModel owlModel,
                                               String datatypeName)

### getRDFSDatatype

    public static RDFSDatatype getRDFSDatatype(OWLModel owlModel,
                                               URI datatypeURI)

### createRDFSLiteral

    public static RDFSLiteral createRDFSLiteral(OWLModel owlModel,
                                                String value,
                                                RDFSDatatype datatype)
                                         throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### createOWLClassDescription

    public static OWLClass createOWLClassDescription(OWLModel owlModel,
                                                     String classExpression)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLThingClass

    public static OWLNamedClass getOWLThingClass(OWLModel owlModel)

### getOWLSameAsProperty

    public static RDFProperty getOWLSameAsProperty(OWLModel owlModel)

### getRDFSSubPropertyOfProperty

    public static RDFProperty getRDFSSubPropertyOfProperty(OWLModel owlModel)

### getOWLInverseOfProperty

    public static RDFProperty getOWLInverseOfProperty(OWLModel owlModel)

### getRDFSDomainProperty

    public static RDFProperty getRDFSDomainProperty(OWLModel owlModel)

### getRDFSRangeProperty

    public static RDFProperty getRDFSRangeProperty(OWLModel owlModel)

### getOWLEquivalentPropertyProperty

    public static RDFProperty getOWLEquivalentPropertyProperty(OWLModel owlModel)

### getOWLDisjointWithProperty

    public static RDFProperty getOWLDisjointWithProperty(OWLModel owlModel)

### getOWLEquivalentClassProperty

    public static RDFProperty getOWLEquivalentClassProperty(OWLModel owlModel)

### getOWLDisjointClassProperty

    public static RDFProperty getOWLDisjointClassProperty(OWLModel owlModel)

### getRDFSSubClassOfProperty

    public static RDFProperty getRDFSSubClassOfProperty(OWLModel owlModel)

### makeSameAs

    public static void makeSameAs(OWLModel owlModel,
                                  Set<URI> individualURIs)
                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### makeSameAs

    public static void makeSameAs(OWLModel owlModel,
                                  String individualName1,
                                  String individualName2)
                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### makeSameAs

    public static void makeSameAs(OWLModel owlModel,
                                  URI individual1URI,
                                  URI individual2URI)
                           throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### makeDifferentFrom

    public static void makeDifferentFrom(OWLModel owlModel,
                                         String individualName1,
                                         String individualName2)
                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### makeDifferentFrom

    public static void makeDifferentFrom(OWLModel owlModel,
                                         URI individual1URI,
                                         URI individual2URI)
                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### makeDifferentFrom

    public static void makeDifferentFrom(OWLModel owlModel,
                                         Set<URI> individualURIs)
                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLAllDifferents

    public static Collection<?> getOWLAllDifferents(OWLModel owlModel)

### getOWLDifferentFromProperty

    public static RDFProperty getOWLDifferentFromProperty(OWLModel owlModel)

### getOWLProperty

    public static OWLProperty getOWLProperty(OWLModel owlModel,
                                             String propertyName)

### getOWLProperty

    public static OWLProperty getOWLProperty(OWLModel owlModel,
                                             URI propertyURI)

### getRDFProperty

    public static RDFProperty getRDFProperty(OWLModel owlModel,
                                             String propertyName)

### getOWLProperty

    public static OWLProperty getOWLProperty(OWLModel owlModel,
                                             String propertyName,
                                             boolean mustExist)
                                      throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLIndividual

    public static OWLIndividual getOWLIndividual(OWLModel owlModel,
                                                 String individualName)

### getOWLIndividual

    public static OWLIndividual getOWLIndividual(OWLModel owlModel,
                                                 URI individualURI)

### getRDFSNamedClass

    public static RDFSNamedClass getRDFSNamedClass(OWLModel owlModel,
                                                   String className)

### getRDFSNamedClass

    public static RDFSNamedClass getRDFSNamedClass(OWLModel owlModel,
                                                   URI classURI)

### isSWRLBuiltIn

    public static boolean isSWRLBuiltIn(OWLModel owlModel,
                                        String builtInName)

### isValidClassName

    public static boolean isValidClassName(OWLModel owlModel,
                                           String className)

### checkIfIsValidClassName

    public static void checkIfIsValidClassName(OWLModel owlModel,
                                               String className)
                                        throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isValidURI

    public static boolean isValidURI(String uri)

### getPrefixForResourceName

    public static String getPrefixForResourceName(OWLModel owlModel,
                                                  String resourceName)

### getLocalNameForURI

    public static String getLocalNameForURI(OWLModel owlModel,
                                            String uri)

### getOWLClassFromName

    public static OWLNamedClass getOWLClassFromName(OWLModel owlModel,
                                                    String name)
                                             throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLDataPropertyFromName

    public static OWLDatatypeProperty getOWLDataPropertyFromName(OWLModel owlModel,
                                                                 String name)
                                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLObjectPropertyFromName

    public static OWLObjectProperty getOWLObjectPropertyFromName(OWLModel owlModel,
                                                                 String name)
                                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getOWLIndividualFromName

    public static OWLIndividual getOWLIndividualFromName(OWLModel owlModel,
                                                         String name)
                                                  throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getRDFPropertyFromName

    public static RDFProperty getRDFPropertyFromName(OWLModel owlModel,
                                                     String name)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getRDFResourceFromName

    public static RDFResource getRDFResourceFromName(OWLModel owlModel,
                                                     String name)
                                              throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### isExistingRDFResourceWithRDFSLabel

    public static boolean isExistingRDFResourceWithRDFSLabel(OWLModel owlModel,
                                                             String label)

### getRDFResourceFromRDFSLabel

    public static RDFResource getRDFResourceFromRDFSLabel(OWLModel owlModel,
                                                          String label)
                                                   throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

### getRDFSClassFromName

    public static RDFSClass getRDFSClassFromName(OWLModel owlModel,
                                                 String name)
                                          throws P3OWLUtilException

  Throws:
    `P3OWLUtilException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.